openapi: 3.0.2
info:
  title: DGFF Freight Info Timetable API
  version: '1.1'
  description: >-
    
    Please refer Downloads section for more information
  contact:
    email: api4freight@dhl.com

# 1) Define the security scheme type (HTTP bearer)
components:
  securitySchemes:
    bearerAuth:            # arbitrary name for the security scheme
      type: http
      scheme: bearer
      bearerFormat: JWT    # optional, arbitrary value for documentation purposes
# 2) Apply the security globally to all operations
security:
  - bearerAuth: []         # use the same name as above
servers:
  - url: https://api-sandbox.dhl.com/freight/info/time-table/v1
    description: Customer Sandbox Environment
  - url: https://api.dhl.com/freight/info/time-table/v1
    description: Customer Production Environment

paths:
  /timetable/gettimetable:
    post:
      tags:
        - TIMETABLE
      operationId: gettimetable
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                Parties:
                  type: array
                  items:
                    type: object
                    properties:
                      Address:
                        type: object
                        properties:
                          CountryCode:
                            type: string
                            example: DE
                          PostalCode:
                            type: string
                            example: 53175
                      Type:
                        type: string
                        example: Consignor
                  example:
                    - Address:
                        CountryCode: 'DE'
                        PostalCode: '53175'
                      Type: Consignor
                    - Address:
                        CountryCode: 'FR'
                        PostalCode: '69000'
                      Type: Consignee
                PickupDate:
                  type: string
                  format: date
                productCode:
                  type: string
                  example: 'ECI'
      responses:
        '200':
          description: ''
tags:
  - name: TIMETABLE